
Family Care - Bug #2367

Dues and Debts management ـ second step (مدير و مراقب الدائرة )

02/04/2021 02:45 PM - Saja Nakhleh

Status: Closed Start date: 02/04/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

a. actions drop down list is shown

although the user does not use them

b. claim: claim action is shown beside all

the other actions which is contradicting a

major requirement (real scenario and

core feature)

Issue #2:

an empty pdf file will be opened !

evidence 67.gif

Issue #3:

the empty comments are added normally

Issue #4:

the task will keep opening and once the

approve action is clicked again an error

will be occurred as on evidence 68.gif

Issue #5:

1. the dialog message will show a

rejection message as on evidence 69.gif

2. Once the task is submitted then it will

not be able to be previewed by any user

(only shown on the inquiry screen)

Severity: Normal Environment: QA

Category: Dues and Debts management Transaction Number:  

Sub-Category:  Username:  

Step_Description:  Browser:  

Pre_Conditions:  URL:  

Expected Result: Issue #1:

a. actions drop down list: if the user does

not use these actions, they should be

hidden as they are not working fine !

b. claim: while the claim action is

available all the other actions should be

hidden till it's clicked

Issue #2:

financial data should preview the

financial data report

Issue #3:

the empty comments should be

prevented

Issue #4:

Test Case ID:  
the task should be closed and hidden

from the (dev manager) tasks

Issue #5:

Once the task number is clicked then the

task details should be opened

Description

Issue #1:

1. Pass a new Dues and Debts task to the second step

2. Open the task by the dev monitor user

3. Observe the available actions

Issue #2:

1. Pass a new Dues and Debts task to the second step

2. Open the task by the dev monitor user

3. Click the action financial data

4. Observe the opened file

Issue #3:

1. Pass a new Dues and Debts task to the second step

2. Open the task by the dev monitor user

3. keep the comment field empty and click add comment action

Issue #4:

1. Pass a new Dues and Debts task to the second step

2. Open the task by the dev monitor

4. click submit

Issue #5:

1. search for the submitted task from issue #4 in the inquiry screen

2. Click on it's number and observe the opened dialog

History

#1 - 05/09/2021 01:59 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Shadi Abuomar

Dear Shadi,

Kindly check and review

#2 - 05/10/2021 02:43 PM - Shadi Abuomar

- Status changed from Open to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#3 - 05/17/2021 12:50 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1:

a. tested and verified.

b. the issue has been reported by the email

Issue #2:

tested and verified. observe the attached report (financial report)

Issue #3:

verified as core feature, as the empty comments are removed on the submission or rejection

Issue #4:

As a precondition,
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4


the value of the (divmanager decision) is not validated as mandatory, hence once the approve action the task will be closed but keep being assigned

to the divmanager

https://www.loom.com/share/296429388cbd43dcb0bb6fb33ed26192

Issue #5:

a show stopper on the inquiry screen prevent testing this issue

waiting for http://mscjo.dynalias.com:8089/redmine/issues/2338 to be fixed

#4 - 05/17/2021 12:57 PM - Saja Nakhleh

- File financial data.pdf added

#5 - 05/17/2021 01:53 PM - Shadi Abuomar

- Status changed from Feedback to Fixed

#6 - 05/17/2021 01:54 PM - Shadi Abuomar

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#7 - 05/17/2021 02:21 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

Issue #4:

tested and verified.

Issue #5:

a show stopper on the inquiry screen prevent testing this issue

waiting for http://mscjo.dynalias.com:8089/redmine/issues/2338 to be fixed

#8 - 07/16/2021 10:58 PM - Saja Nakhleh

- Status changed from Feedback to Closed

Issue #5:

verified as the completed tasks numbers will not be clickable, while the rejected tasks number will be clickable and show the rejection details

Files

67.GIF 227 KB 02/04/2021 Saja Nakhleh

68.GIF 244 KB 02/04/2021 Saja Nakhleh

69.GIF 202 KB 02/04/2021 Saja Nakhleh

financial data.pdf 63.4 KB 05/17/2021 Saja Nakhleh
